{ config, ... }:

{
  services.images.enable = true;
  services.nginx.virtualHosts."jichan.org".locations."/api/images" = {
    proxyPass = "http://localhost:${builtins.toString config.services.images.port}";
    extraConfig = ''
      rewrite ^/api/images/(.*) /$1 break;
    '';
  };
}